%define tarversion  1_10_0
%define packname xml-xalan
%define major 18
%define minor 0
%define libname %mklibname %{name} %{minor}

Name: xalan-c
Version: 1.10
Release: %mkrel 0.%{tarversion}.2
License: Apache License
Group: Development/Other
Summary:	An XSLT Transformation Engine in C++
URL: http://xalan.apache.org/
Source: Xalan-C_1_10_0-src.tar.gz 
Patch0: xml-xalan-lib64.patch
BuildRoot: %_tmppath/%name-%version-%release-root
BuildRequires:	xerces-c-devel >= 2.7.0

%description 
Xalan is an XSL processor for transforming XML documents
into HTML, text, or other XML document types. Xalan-C++ represents an
almost complete and a robust C++ reference implementation of the W3C
Recommendations for XSL Transformations (XSLT) and the XML Path
Language (XPath).

#------------------------------------------------------------------------

%package -n %{libname}
Group:		Development/Other
Summary:	Library for an XSLT Transformation Engine in C++
Obsoletes:	xalan-c <= xalan-c-1.1-4mdk

%description -n %{libname}
Library for xalan-c

#------------------------------------------------------------------------

%package -n %{libname}-devel
Requires:	%libname = %version-%release
Group:		Development/Other
Summary:	Developpement files for XSLT Transformation Engine
Provides:	xalan-c-devel = %version-%release, libxalan-c-devel = %version-%release
Obsoletes:	xalan-c-devel

%description -n %{libname}-devel
Xalan is an XSL processor for transforming XML documents
into HTML, text, or other XML document types. Xalan-C++ represents an
almost complete and a robust C++ reference implementation of the W3C
Recommendations for XSL Transformations (XSLT) and the XML Path
Language (XPath).

#------------------------------------------------------------------------

%package doc
Group:		Development/Other
Summary:	Online manual for Xalan-C, XSLT Transformation Engine

%description doc
Documentation for Xalan-C, viewable through your web server, too!

%prep
%setup -q -n %{packname}

%if "%{_lib}" != "lib"
%patch0 -p1 -b .orig
%endif

%build
rm -f c/bin/*
rm -f c/lib/*

export XALANCROOT=${RPM_BUILD_DIR}/%{packname}/c/
export XERCESCROOT=%{_includedir}/xercesc
cd $XALANCROOT
export CXXFLAGS="$RPM_OPT_FLAGS -fexceptions"
sh ./runConfigure -p linux -c gcc -x c++ -m nls
make

%install
rm -rf ${RPM_BUILD_ROOT}

export XALANCROOT=${RPM_BUILD_DIR}/%{packname}/c/
cd c/
%makeinstall

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc c/README
%{_bindir}/*
%{_libdir}/nls/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/xalanc/*

%files doc
%defattr(644 root root 755)
%doc c/LICENSE c/readme.html c/xdocs/



%changelog
* Wed Aug 16 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-16 15:51:22 (56379)
- New upstream stable version

* Tue Aug 15 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-15 14:34:25 (56194)
- import xalan-c-1.4-0.20040818104017.2mdk

* Mon Sep 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4-0.20040818104017.2mdk
- Rebuild to fix ticket #16486

* Sun Jul 27 2003 Michael Scherer <scherer.michael@free.fr> 1.4-4mdk
- increment version number :/

* Sun Jul 27 2003 Michael Scherer <scherer.michael@free.fr> 1.4-3mdk
- added Xalan binary
- clean patch

* Sat Mar 08 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.4-2mdk
- rebuild for new gcc

* Thu Dec 12 2002 Warly <warly@mandrakesoft.com> 1.4-1mdk
- new version

* Mon Dec 09 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1-10mdk
- Update Patch5 (endian-defines) to match ia64 and x86-64 definitions
- Patch6: Make it lib64 aware
- Patch7: Add C++ fixes, maintainer will please (re)move that package
  or update to a newer version
- Patch8: Tighten dependencies so that make -j6 could work

* Fri Mar 22 2002 David BAUDENS <baudens@mandrakesoft.com> 1.1-9mdk
- Clean after build
- Fix Requires/Provides

* Mon Jul 16 2001 Philippe Libat <philippe@mandrakesoft.com> 1.1-8mdk
- include

* Mon Jul 16 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.1-7mdk
- use standard %configure and %make macros
- Patch5: support for alpha, ppc, and sparc endian defines
- use setup -q

* Mon Jul 02 2001 Warly <warly@mandrakesoft.com> 1.1-6mdk
- fix some rpmlint errors

* Tue Jun 26 2001 Warly <warly@mandrakesoft.com> 1.1-5mdk
- libification

* Tue Jun 26 2001 Warly <warly@mandrakesoft.com> 1.1-3mdk
- rebuild against new xerces-c

* Thu May 03 2001 <warly@mandrakesoft.com> 1.1-2mdk
- recompile with opt-flags (no more memory needed)

* Wed May 02 2001 <warly@mandrakesoft.com> 1.1-1mdk
- new version (need 1GB of ram to build)

* Sun Jan 07 2001 Warly <warly@mandrakesoft.com> 1.0-1mdk
- new version

* Mon Oct 02 2000 Henri Gomez <hgomez@slib.fr>
- xalan-c 0.40.0
- Initial RPM release
- documentation go in a new package doc (comme xalan-j)
- fixed bad soname (many patches around Makefiles)
- compiled on Redhat 6.1 with updates

